Index: c/src/lib/libbsp/lm32/shared/clock/clock.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/clock/clock.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/clock/clock.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_clock
+ * @brief LatticeMico32 Timer (Clock) definitions
+ */
+
 /*
  *  This file contains definitions for LatticeMico32 Timer (Clock)
@@ -13,8 +19,15 @@
  */
 
+/**
+ * @defgroup lm32_clock LM32 Clock
+ * @ingroup lm32_shared
+ * @brief LatticeMico32 Timer (Clock) definitions.
+ * @{
+ */
+
 #ifndef _BSPCLOCK_H
 #define _BSPCLOCK_H
 
-/* Status Register */
+/** @brief Status Register */
 
 #define LM32_CLOCK_SR       (0x0000)
@@ -22,5 +35,5 @@
 #define LM32_CLOCK_SR_RUN   (0x0002)
 
-/* Control Register */
+/** @brief Control Register */
 
 #define LM32_CLOCK_CR       (0x0004)
@@ -30,11 +43,13 @@
 #define LM32_CLOCK_CR_STOP  (0x0008)
 
-/* Period Register */
+/** @brief Period Register */
 
 #define LM32_CLOCK_PERIOD   (0x0008)
 
-/* Snapshot Register */
+/** @brief Snapshot Register */
 
 #define LM32_CLOCK_SNAPSHOT (0x000C)
 
 #endif /* _BSPCLOCK_H */
+
+/** @} */
Index: c/src/lib/libbsp/lm32/shared/doxygen.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/doxygen.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
+++ c/src/lib/libbsp/lm32/shared/doxygen.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -0,0 +1,23 @@
+  /**
+  *  @defgroup bsp_lm32 Lattice Mico32
+  *
+  *  @ingroup bsp_kit
+  *
+  *  @brief Lattice Mico32 Board Support Packages
+  */
+
+ /**
+  *  @defgroup lm32_shared Lattice Mico32 Shared Modules
+  *
+  *  @ingroup bsp_lm32
+  *
+  *  @brief Lattice Mico32 Shared Modules
+  */
+
+ /**
+  *  @defgroup lm32_milkymist_shared LM32 Milkymist One
+  *
+  *  @ingroup lm32_shared
+  *
+  *  @brief Lattice Mico32 Milkymist One
+  */
Index: c/src/lib/libbsp/lm32/shared/gdbstub/gdb_if.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/gdbstub/gdb_if.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/gdbstub/gdb_if.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_gdb
+ * @brief definition of the interface between the stub and gdb
+ */
+
 /*
  * gdb_if.h - definition of the interface between the stub and gdb
@@ -13,8 +19,15 @@
  */
 
+/**
+ * @defgroup lm32_gdb LM32 GDB Interface
+ * @ingroup lm32_shared
+ * @brief Definition of the interface between the stub and gdb,
+ * @{
+ */
+
 #ifndef _GDB_IF_H
 #define _GDB_IF_H
 
-/* Max number of threads in qM response */
+/** @brief Max number of threads in qM response */
 #define QM_MAX_THREADS (20)
 
@@ -71,5 +84,5 @@
 );
 
-/* Exception IDs */
+/** @brief Exception IDs */
 #define LM32_EXCEPTION_RESET                  0x0
 #define LM32_EXCEPTION_INST_BREAKPOINT        0x1
@@ -81,8 +94,8 @@
 #define LM32_EXCEPTION_SYSTEM_CALL            0x7
 
-/* Breakpoint instruction */
+/** @brief Breakpoint instruction */
 #define LM32_BREAK                            0xac000002UL
 
-/* This numbering must be consistant with GDBs numbering in gdb/lm32-tdep.c */
+/** @brief This numbering must be consistant with GDBs numbering in gdb/lm32-tdep.c */
 enum lm32_regnames {
   LM32_REG_R0, LM32_REG_R1, LM32_REG_R2, LM32_REG_R3, LM32_REG_R4, LM32_REG_R5,
@@ -109,2 +122,4 @@
 
 #endif /* _GDB_IF_H */
+
+/** @} */
Index: c/src/lib/libbsp/lm32/shared/milkymist_ac97/milkymist_ac97.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_ac97/milkymist_ac97.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_ac97/milkymist_ac97.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_ac97 lm32_milkymist_shared
+ * @brief Milkymist AC97 driver
+ */
+
 /*  milkymist_ac97.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_ac97 Milkymist AC97
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist AC97 driver
+ * @{
  */
 
@@ -55,4 +68,6 @@
 ac97_open, NULL, NULL, NULL, ac97_control}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_buttons/milkymist_buttons.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_buttons/milkymist_buttons.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_buttons/milkymist_buttons.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_buttons lm32_milkymist_shared
+ * @brief Milkymist buttons driver
+ */
+
 /*  milkymist_buttons.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2011 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_buttons Milkymist buttons
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist buttons driver
+ * @{
  */
 
@@ -38,4 +51,6 @@
 buttons_open, NULL, buttons_read, NULL, NULL}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_clock/clock.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_clock/clock.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_clock/clock.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_clock lm32_milkymist_shared
+ * @brief LatticeMico32 Timer (Clock) definitions
+ */
+
 /*
  *  This file contains definitions for LatticeMico32 Timer (Clock)
Index: c/src/lib/libbsp/lm32/shared/milkymist_console/uart.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_console/uart.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_console/uart.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_uart lm32_milkymist_shared
+ * @brief Milkymist UART definitions
+ */
+
 /*
  *  This file contains definitions for the Milkymist UART
@@ -5,4 +11,11 @@
  *  found in the file LICENSE in this distribution or at
  *  http://www.rtems.com/license/LICENSE.
+ */
+
+/**
+ * @defgroup lm32_milkymist_uart Milkymist UART
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist UART definitions
+ * @{
  */
 
@@ -15,2 +28,4 @@
 
 #endif /* _BSPUART_H */
+
+/** @} */
Index: c/src/lib/libbsp/lm32/shared/milkymist_dmx/milkymist_dmx.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_dmx/milkymist_dmx.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_dmx/milkymist_dmx.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_dmx lm32_milkymist_shared
+ * @brief Milkymist DMX512 driver
+ */
+
 /*  milkymist_dmx.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_dmx Milkymist DMX512
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist DMX512 driver
+ * @{
  */
 
@@ -47,4 +60,6 @@
 NULL, NULL, dmx_read, dmx_write, dmx_control}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_gpio/milkymist_gpio.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_gpio/milkymist_gpio.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_gpio/milkymist_gpio.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_gpio lm32_milkymist_shared
+ * @brief Milkymist GPIO driver
+ */
+
 /*  milkymist_gpio.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_gpio Milkymist GPIO
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist GPIO driver
+ * @{
  */
 
@@ -38,4 +51,6 @@
 NULL, NULL, gpio_read, gpio_write, NULL}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_ir/milkymist_ir.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_ir/milkymist_ir.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_ir/milkymist_ir.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_ir lm32_milkymist_shared
+ * @brief Milkymist RC5 IR driver
+ */
+
 /*  milkymist_ir.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_ir Milkymist IR
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist RC5 IR driver
+ * @{
  */
 
@@ -38,4 +51,6 @@
 ir_open, NULL, ir_read, NULL, NULL}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_memcard/milkymist_memcard.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_memcard/milkymist_memcard.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_memcard/milkymist_memcard.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_memcard lm32_milkymist_shared
+ * @brief Milkymist memory card driver
+ */
+
 /*  milkymist_memcard.h
  *
@@ -10,4 +16,11 @@
  */
 
+/**
+ * @defgroup lm32_milkymist_memcard Milkymist memory card
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist memory card driver
+ * @{
+ */
+
 #ifndef __MILKYMIST_MEMCARD_H_
 #define __MILKYMIST_MEMCARD_H_
@@ -16,2 +29,4 @@
 
 #endif /* __MILKYMIST_MEMCARD_H_ */
+
+/** @} */
Index: c/src/lib/libbsp/lm32/shared/milkymist_midi/milkymist_midi.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_midi/milkymist_midi.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_midi/milkymist_midi.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_midi lm32_milkymist_shared
+ * @brief Milkymist MIDI driver
+ */
+
 /*  milkymist_midi.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_midi Milkymist MIDI
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist MIDI driver
+ * @{
  */
 
@@ -38,4 +51,6 @@
 midi_open, NULL, midi_read, NULL, NULL}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_networking/network.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_networking/network.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_networking/network.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_network lm32_milkymist_shared
+ * @brief Driver for Minimac ethernet
+ */
+
 /*  network.h
  *
@@ -11,4 +17,10 @@
  */
 
+/**
+ * @defgroup lm32_milkymist_network Minimac ethernet driver
+ * @ingroup lm32_milkymist_shared
+ * @brief Driver for Minimac ethernet IP-core of Milkymist SoC
+ * @{
+ */
 
 #ifndef __MILKYMIST_NETWORKING_H_
Index: c/src/lib/libbsp/lm32/shared/milkymist_pfpu/milkymist_pfpu.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_pfpu/milkymist_pfpu.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_pfpu/milkymist_pfpu.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_pfpu lm32_milkymist_shared
+ * @brief Milkymist PFPU driver
+ */
+
 /*  milkymist_pfpu.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_pfpu Milkymist PFPU
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist PFPU driver
+ * @{
  */
 
@@ -30,6 +43,8 @@
 	unsigned int progsize;
 	float *registers;
-	bool update; /* < shall we update the "registers" array after completion */
-	bool invalidate; /* < shall we invalidate L1 data cache after completion */
+	/** @brief shall we update the "registers" array after completion */
+	bool update;
+	/** @brief shall we invalidate L1 data cache after completion */
+	bool invalidate;
 };
 
@@ -49,4 +64,6 @@
 NULL, NULL, NULL, NULL, pfpu_control}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_tmu/milkymist_tmu.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_tmu/milkymist_tmu.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_tmu/milkymist_tmu.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_tmu lm32_milkymist_shared
+ * @brief Milkymist TMU driver
+ */
+
 /*  milkymist_tmu.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_tmu Milkymist TMU
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist TMU driver
+ * @{
  */
 
@@ -77,4 +90,6 @@
 NULL, NULL, NULL, NULL, tmu_control}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_usbinput/comloc.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_usbinput/comloc.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_usbinput/comloc.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_usbinput lm32_milkymist_shared
+ * @brief Milkymist USB input devices driver
+ */
+
 /*  comloc.h
  *
Index: c/src/lib/libbsp/lm32/shared/milkymist_usbinput/milkymist_usbinput.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_usbinput/milkymist_usbinput.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_usbinput/milkymist_usbinput.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_usbinput lm32_milkymist_shared
+ * @brief Milkymist USB input devices driver
+ */
+
 /*  milkymist_usbinput.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010, 2012 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_usbinput Milkymist USB input devices
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist USB input devices driver
+ * @{
  */
 
Index: c/src/lib/libbsp/lm32/shared/milkymist_versions/milkymist_versions.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_versions/milkymist_versions.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_versions/milkymist_versions.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_versions lm32_milkymist_shared
+ * @brief Milkymist versioning driver
+ */
+
 /*  milkymist_versions.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_versions Milkymist versioning
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist versioning driver
+ * @{
  */
 
@@ -32,4 +45,6 @@
 NULL, NULL, versions_read, NULL, NULL}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/milkymist_video/milkymist_video.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/milkymist_video/milkymist_video.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/milkymist_video/milkymist_video.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_milkymist_video lm32_milkymist_shared
+ * @brief Milkymist video input driver
+ */
+
 /*  milkymist_video.h
  *
@@ -8,4 +14,11 @@
  *
  *  COPYRIGHT (c) 2010, 2011 Sebastien Bourdeauducq
+ */
+
+/**
+ * @defgroup lm32_milkymist_video Milkymist Video
+ * @ingroup lm32_milkymist_shared
+ * @brief Milkymist video input driver
+ * @{
  */
 
@@ -69,4 +82,6 @@
 video_open, video_close, NULL, NULL, video_control}
 
+/** @} */
+
 #ifdef __cplusplus
 }
Index: c/src/lib/libbsp/lm32/shared/tsmac/dp83848phy.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/tsmac/dp83848phy.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/tsmac/dp83848phy.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_tsmac
+ * @brief LatticeMico32 TSMAC (Tri-Speed MAC) definitions
+ */
+
 /*
  *  This file contains definitions for LatticeMico32 TSMAC (Tri-Speed MAC)
Index: c/src/lib/libbsp/lm32/shared/tsmac/tsmac.h
===================================================================
--- c/src/lib/libbsp/lm32/shared/tsmac/tsmac.h	(revision 8224d2af2bba03ec3399faf6d0136b934f0b3fc5)
+++ c/src/lib/libbsp/lm32/shared/tsmac/tsmac.h	(revision c541862e73534b12892b8242a72f77faaebd8ac3)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup lm32_tsmac
+ * @brief LatticeMico32 TSMAC (Tri-Speed MAC) definitions.
+ */
+
 /*
  *  This file contains definitions for LatticeMico32 TSMAC (Tri-Speed MAC)
@@ -11,4 +17,11 @@
  *  Jukka Pietarinen <jukka.pietarinen@mrf.fi>, 2008,
  *  Micro-Research Finland Oy
+ */
+
+/**
+ * @defgroup lm32_tsmac LM32 TSMAC
+ * @ingroup lm32_shared
+ * @brief LatticeMico32 TSMAC (Tri-Speed MAC) definitions.
+ * @{
  */
 
@@ -157,2 +170,3 @@
 
 #endif /* _BSPTSMAC_H */
+/** @} */
